Get drilling parameters by ids

Request

Security
(bearer and appkey) or (sauth_service_token and appkey)
Query
page_sizeinteger, (int32)

Max number of entities to include in current search (max 9999)

Default:9999
Headers
slb-partition-idstringrequired

Slb partition id

Body

Entity ids to get by

Array of strings
curl -i -X POST \
  'https://eu-api.delfi.slb.com/drillplan/offset-well-data/v1/drilling-parameters/get-by-ids?page_size=9999' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -H 'appkey: YOUR_API_KEY_HERE' \
  -H 'slb-partition-id: string' \
  -d '[
    "string"
  ]'

Responses

OK

Body
current_matchesArray of objects or null(Slb.DrillPlan.OffsetDataIngestion.Model.Dto.RiskSearchDto)
current_match_countinteger, (int32)
excluded_matchesArray of objects or null(Slb.DrillPlan.OffsetDataIngestion.Model.Dto.EntityViolation`1[[Slb.DrillPlan.OffsetDataIngestion.Model.Dto.RiskSearchDto, Slb.DrillPlan.OffsetDataIngestion.Model, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]])
total_match_countinteger, (int64)
next_page_idstring or null
action_succeededboolean
master_errorstring or null
dependent_action_errorsArray of strings or null
action_keystring or null
Response
{
  "current_matches": [
    {
      "well_name": "string",
      "physical_container_name": "string",
      "creation_utc_timestamp": "2019-08-24T14:15:22Z",
      "last_modification_utc_timestamp": "2019-08-24T14:15:22Z",
      "version": 0,
      "risk_start_tvd": 0.1,
      "risk_end_tvd": 0.1,
      "risk_max_tvd": 0.1,
      "risk_min_tvd": 0.1,
      "formations": [
        "string"
      ],
      "id": "string",
      "section_id": "string",
      "hole_bottom_md": 0.1,
      "hole_bottom_tvd": 0.1,
      "category": "string",
      "data_source": "string",
      "details": "string",
      "duration": 0.1,
      "end_date": "2019-08-24T14:15:22Z",
      "extended_category": "string",
      "hole_size": 0.1,
      "name": "string",
      "probability": "string",
      "risk_id": "string",
      "severity": "string",
      "start_date": "2019-08-24T14:15:22Z",
      "sub_category": "string",
      "summary": "string",
      "type": "string",
      "wellbore_name": "string",
      "well_guid": "string",
      "risk_start_md": 0.1,
      "risk_end_md": 0.1
    }
  ],
  "current_match_count": 0,
  "excluded_matches": [
    {
      "source": {
        "well_name": "string",
        "physical_container_name": "string",
        "creation_utc_timestamp": "2019-08-24T14:15:22Z",
        "last_modification_utc_timestamp": "2019-08-24T14:15:22Z",
        "version": 0,
        "risk_start_tvd": 0.1,
        "risk_end_tvd": 0.1,
        "risk_max_tvd": 0.1,
        "risk_min_tvd": 0.1,
        "formations": [
          "string"
        ],
        "id": "string",
        "section_id": "string",
        "hole_bottom_md": 0.1,
        "hole_bottom_tvd": 0.1,
        "category": "string",
        "data_source": "string",
        "details": "string",
        "duration": 0.1,
        "end_date": "2019-08-24T14:15:22Z",
        "extended_category": "string",
        "hole_size": 0.1,
        "name": "string",
        "probability": "string",
        "risk_id": "string",
        "severity": "string",
        "start_date": "2019-08-24T14:15:22Z",
        "sub_category": "string",
        "summary": "string",
        "type": "string",
        "wellbore_name": "string",
        "well_guid": "string",
        "risk_start_md": 0.1,
        "risk_end_md": 0.1
      },
      "violations": [
        {
          "fatal_violation": true,
          "details": "string"
        }
      ]
    }
  ],
  "total_match_count": 0,
  "next_page_id": "string",
  "action_succeeded": true,
  "master_error": "string",
  "dependent_action_errors": [
    "string"
  ],
  "action_key": "string"
}